<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<TabStripMVC.Models.Tab123Model>" %>

<asp:Content ID="indexTitle" ContentPlaceHolderID="TitleContent" runat="server">
    Post TabStrip content.
</asp:Content>

<asp:Content ID="indexContent" ContentPlaceHolderID="MainContent" runat="server">
<br />
<script src="../../Scripts/MicrosoftAjax.js"></script>
<script src="../../Scripts/MicrosoftMvcValidation.js"></script>

<% Html.EnableClientValidation(); %>

<% Html.BeginForm(); %>

<%--<% Html.Telerik().TabStrip()
                  .Name("PostTabStrip")
                  .Items(builder =>
                  {
                      builder.Add()
                             .Text("Tab1")
                             .Content(() => {%>
                                    <%= Html.TextBoxFor(m => m.Name) %>
                                    <%= Html.ValidationMessageFor(m => m.Name) %>
                                 <%
                              });
                      builder.Add()
                             .Text("Tab2")
                             .Content(() =>
                             {
                                 %>
                                    <%= Html.TextBoxFor(m => m.ZipCode) %>
                                    <%= Html.ValidationMessageFor(m => m.ZipCode)%>
                                <%
                             });
                  })
                  .SelectedIndex(0)
                  .Render();
%>--%>

<% Html.Telerik().TabStrip()
                  .Name("PostTabStrip2")
                  .Items(builder =>
                  {
                      builder.Add()
                             .Text("Tab1")
                             .Content(() => {%>
                                    <% Html.RenderPartial("ModelPart1", Model); %>
                                 <%
                              });
                      builder.Add()
                             .Text("Tab2")
                             .Content(() =>
                             {
                                 %>
                                   <% Html.RenderPartial("ModelPart2", Model); %>
                                <%
                             });
                  })
                  .SelectedIndex(0)
                  .Render();
%>

<button type="submit">Submit</button>

<% Html.EndForm(); %>
</asp:Content>
